io.agora.rtc

## Class RtcConnInfo

- java.lang.Object
- - io.agora.rtc.RtcConnInfo

-     public class RtcConnInfo
      extends java.lang.Object

  Information about RTC connection.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `channelId` Channel identifier
    `private int` | `id` Unique identifier for the connection
    `private int` | `internalUid` Internal user identifier
    `private java.lang.String` | `localUserId` Local user identifier
    `private int` | `state` Current state of the connection

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtcConnInfo()` Default constructor for RtcConnInfo.
    `RtcConnInfo(int id, java.lang.String channelId, int state, java.lang.String localUserId, int internalUid)` Constructs RtcConnInfo with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannelId()` Gets the channel identifier.
    `int` | `getId()` Gets the unique identifier for the connection.
    `int` | `getInternalUid()` Gets the internal user identifier.
    `java.lang.String` | `getLocalUserId()` Gets the local user identifier.
    `int` | `getState()` Gets the current state of the connection.
    `void` | `setChannelId(java.lang.String channelId)` Sets the channel identifier.
    `void` | `setId(int id)` Sets the unique identifier for the connection.
    `void` | `setInternalUid(int internalUid)` Sets the internal user identifier.
    `void` | `setLocalUserId(java.lang.String localUserId)` Sets the local user identifier.
    `void` | `setState(int state)` Sets the current state of the connection.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          private int id

      Unique identifier for the connection

    - #### channelId

          private java.lang.String channelId

      Channel identifier

    - #### state

          private int state

      Current state of the connection

    - #### localUserId

          private java.lang.String localUserId

      Local user identifier

    - #### internalUid

          private int internalUid

      Internal user identifier

  - ### Constructor Detail

    - #### RtcConnInfo

          public RtcConnInfo()

      Default constructor for RtcConnInfo.

    - #### RtcConnInfo

          public RtcConnInfo(int id,
                             java.lang.String channelId,
                             int state,
                             java.lang.String localUserId,
                             int internalUid)

      Constructs RtcConnInfo with all parameters.
      Parameters:
        `id` - Unique identifier for the connection
        `channelId` - Channel identifier
        `state` - Current state of the connection
        `localUserId` - Local user identifier
        `internalUid` - Internal user identifier

  - ### Method Detail

    - #### getId

          public int getId()

      Gets the unique identifier for the connection.
      Returns:
        Unique identifier for the connection

    - #### setId

          public void setId(int id)

      Sets the unique identifier for the connection.
      Parameters:
        `id` - Unique identifier for the connection

    - #### getChannelId

          public java.lang.String getChannelId()

      Gets the channel identifier.
      Returns:
        Channel identifier

    - #### setChannelId

          public void setChannelId(java.lang.String channelId)

      Sets the channel identifier.
      Parameters:
        `channelId` - Channel identifier

    - #### getState

          public int getState()

      Gets the current state of the connection.
      Returns:
        Current state of the connection

    - #### setState

          public void setState(int state)

      Sets the current state of the connection.
      Parameters:
        `state` - Current state of the connection

    - #### getLocalUserId

          public java.lang.String getLocalUserId()

      Gets the local user identifier.
      Returns:
        Local user identifier

    - #### setLocalUserId

          public void setLocalUserId(java.lang.String localUserId)

      Sets the local user identifier.
      Parameters:
        `localUserId` - Local user identifier

    - #### getInternalUid

          public int getInternalUid()

      Gets the internal user identifier.
      Returns:
        Internal user identifier

    - #### setInternalUid

          public void setInternalUid(int internalUid)

      Sets the internal user identifier.
      Parameters:
        `internalUid` - Internal user identifier

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`